<?php
//First start with information about the Plugin and yourself. For example:
/**
 * @package     Joomla.Plugin
 * @subpackage  Content.evidenziatore
 *
 * @copyright   Copyright
 * @license     License, for example GNU/GPL
 */
 
//To prevent accessing the document directly, enter this code:
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class PlgContentEvidenziatore extends JPlugin
{
	public function __construct(& $subject, $config)
	{
			parent::__construct($subject, $config);
			$this->loadLanguage();
	}
 
    public function onContentBeforeDisplay($context, &$row, &$params, $page=0)
	{
		$parts = explode(".", $context);
		if ($parts[0] != 'com_content')
		{
			return false;
		}
		$keywords = $this->params->get('keywords');
		if(!empty($keywords)){
			$keywords = explode("\n",$keywords);
			foreach($keywords as $keyword){
				$keyword = trim($keyword);
				$row->introtext = str_replace($keyword,'<span style="background-color:gold;">'.$keyword.'</span>',$row->introtext);
				$row->text = str_replace($keyword,'<span style="background-color:gold;">'.$keyword.'</span>',$row->text);
			}
		}
		
		return ;
	}
}
